﻿

Imports System.Xml
Imports System.IO
Imports System.Net

Partial Public Class TweetWindow

    Private Sub cmdCallTwitter_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles cmdCallTwitter.Click
        Dim TwitterLib As New TwitterLib
        Dim URL As String = "http://twitter.com/statuses/user_timeline/rodpaddock.xml"
        Dim XML As String = TwitterLib.GetTweet(URL)
        Dim Doc As New XmlDocument
        Doc.LoadXml(XML)

        Dim XMLNodes As XmlNodeList = Doc.SelectNodes("//statuses/status/text")
        For Each Node As XmlNode In XMLNodes
            Console.WriteLine(Node.InnerText)
        Next



    End Sub

    Private Sub cmdCallTwitterJSON_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles cmdCallTwitterJSON.Click

        Dim TwitterLib As New TwitterLib
        Dim URL As String = _
          "http://twitter.com/statuses/user_timeline/rodpaddock.json"

        Dim Results As String = TwitterLib.GetTweet(URL)

        Dim JsonSerializer As New  _
          System.Web.Script.Serialization.JavaScriptSerializer
        Dim ReturnObject As Object = JsonSerializer.DeserializeObject(Results)

        For Each StatusObject As Object In CType(ReturnObject, Array)
            Console.WriteLine(StatusObject("text"))
            Console.WriteLine(StatusObject("user")("screen_name"))
        Next

    End Sub

    Private Sub cmdUpdateStatus_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles cmdUpdateStatus.Click
        Dim URL As String = _
          "http://twitter.com/statuses/update.json"

        Dim Credentials As New NetworkCredential("xxx", "xxx")
        Dim DataToSend As String = "status=" + System.Web.HttpUtility.UrlEncode("CoDe Magazine Test")


        Dim TwitterLib As New TwitterLib
        Dim res As String = TwitterLib.CallTweetAuthenticated(URL, Credentials, DataToSend)

        MessageBox.Show(res)


    End Sub

    Private Sub cmdShowInList_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles cmdShowInList.Click
        Dim TwitterLib As New TwitterLib
        Dim URL As String = _
          "http://twitter.com/statuses/user_timeline/rodpaddock.json"

        Dim Results As String = TwitterLib.GetTweet(URL)

        Dim JsonSerializer As New  _
          System.Web.Script.Serialization.JavaScriptSerializer
        Dim ReturnObject As Object = JsonSerializer.DeserializeObject(Results)


        Dim StatusList As New List(Of Status)


        For Each StatusObject As Object In CType(ReturnObject, Array)
            StatusList.Add(New Status With _
                           { _
                           .Text = StatusObject("text"), _
                           .ScreenName = StatusObject("user")("screen_name"), _
                           .ImageURL = StatusObject("user")("profile_image_url") _
                            })

 
        Next

        Me.lstResults.ItemsSource = StatusList
    End Sub
End Class
