﻿Imports System.Net
Imports System.IO

Public Class TwitterLib

    Function GetTweet(ByVal URL As String) As String
        Dim Request As HttpWebRequest = _
           HttpWebRequest.Create(URL)
        Request.Method = "POST"

        Dim Response As WebResponse = Request.GetResponse
        Dim Reader As New StreamReader(Response.GetResponseStream)
        Dim Results As String = Reader.ReadToEnd

        Reader.Close()
        Response.Close()

        Return Results
    End Function


    
    Function CallTweetAuthenticated(ByVal URL As String, ByVal Credentials As NetworkCredential, ByVal EncodedData As String) As String

        '-- create request
        Dim Request As HttpWebRequest = _
          HttpWebRequest.Create(URL)

        Request.Method = "POST"
        Request.Credentials = Credentials
        Request.ContentType = "application/x-www-form-urlencoded"
        Request.ContentLength = EncodedData.Length
        Request.UserAgent = "Rod Paddock CoDe Mag"
        Request.Timeout = 10000

        '-- set this parameter because twitter will return 417 errors without it
        System.Net.ServicePointManager.Expect100Continue = False

        '-- send parameters
        Dim ReqStream As Stream = Request.GetRequestStream()
        Dim Writer As New StreamWriter(ReqStream)
        Writer.Write(EncodedData)

        Writer.Close()


        '-- call twitter
        Dim Response As WebResponse = Request.GetResponse
        Dim Reader As New StreamReader(Response.GetResponseStream)
        Dim Results As String = Reader.ReadToEnd

        Reader.Close()
        Response.Close()
        Writer.Close()
        ReqStream.Close()

        Return Results

    End Function



End Class
